#!/bin/sh

go() {
	results=$1
	testarg=$2
	shift 2
	# This matches what is used in gitlab CI:
	extra_args="--deqp-surface-width=256 --deqp-surface-height=256 --deqp-surface-type=pbuffer --deqp-gl-config-name=rgba8888d24s8ms0 --deqp-visibility=hidden --deqp-shadercache=disable"

	# normalize wildcards for wildcard paths:
	results="${results%\.\*}"

	# Figure out current device class:
	class=`FD_MESA_DEBUG= IR3_SHADER_DEBUG= glxinfo | grep "OpenGL renderer string" | sed 's/\ /\n/g' | grep ^FD` || true

	# Full results path:
	results="results/$class/$results"
	echo "results in $results"

	# Figure out which deqp module:
	module=`basename $PWD`

	# uncomment to debug, etc
	#xtra="time"
	#xtra="gdb --args"
	#xtra="apitrace trace --api=egl -o $results.trace"
	#xtra="valgrind --leak-check=full"

	export FD_MESA_DEBUG=deqp,$FD_MESA_DEBUG
	export EGL_PLATFORM=surfaceless
	#export NIR_VALIDATE=0
	$xtra ./deqp-$module $testarg --deqp-log-filename=$results.qpa $extra_args $*
	echo "Results written to $results.qpa"
	../../executor/testlog-to-xml -m single $results.qpa $results.xml
	../../executor/testlog-to-csv $result.qpa > $result.csv
}

