#!/bin/bash

cd `dirname $0`
source ../common.sh

nthreads=6
caselist=../../../android/cts/master/gles3-master.txt
datestamp="`date +%Y%m%d%H%M`$1"

resultfiles=""

run_shard() {
	shardlist=$1
	testname=`basename $shardlist`
	go $testname --deqp-caselist-file=$shardlist |& tee $shardlist.log
}

for n in `seq 1 $nthreads`; do
	shardlist="/tmp/$datestamp-$n"
	cat $caselist | sed -n $n~$nthreads"p" > $shardlist
	echo "Launching shard $n: $shardlist"
	(run_shard $shardlist ; rm $shardlist) &
	resultfiles="$resultfiles results/FD630/`basename $shardlist`"
	#wait
done

wait

for result in $resultfiles; do
	../../executor/testlog-to-csv $result.qpa | grep ",Fail" | sed 's/,Fail//'
done
